/*******************************************************************************
 * Copyright 2005  Hon Hai Precision Ind. Co. Ltd.
 * All Rights Reserved.
 * No portions of this material shall be reproduced in any form without the
 * written permission of Hon Hai Precision Ind. Co. Ltd.
 *
 * All information contained in this document is Hon Hai Precision Ind.
 * Co. Ltd. company private, proprietary, and trade secret property and
 * are protected by international intellectual property laws and treaties.
 *
 ******************************************************************************/

/*******************************************************************************
 ***  Filename:
 ***      cmd_lzma.c
 ***
 ***  Description:
 ***      uboot command to decompress lzma image
 ***
 ***  History:
 ***
 ***   Modify Reason                    Author          Date            Search Flag(Option)
 ***--------------------------------------------------------------------------------------
 ***   Created                          Peter Ling      20006/10/13
 ***
 ******************************************************************************/

#include <common.h>
#include <command.h>
#include <net.h>

#include "lzma.h"

#if 0
int 
do_lzma_decode (cmd_tbl_t *cmdtp, int flag, int argc, char *argv[])
{
    unsigned long src = 0xFFC00000;
    unsigned long dst = 0x00400000;
    unsigned char *src_addr = (unsigned char *)src;
    unsigned char *dst_addr = (unsigned char *)dst;
    unsigned int  src_len   = 0x100000;     /* Max size for LZMA kernel */
    unsigned int  dst_len   = 0x300000;     /* Max size for decompressed kernel */

    if (argc != 3)
    {
        printf("Usage: %s <src addr> <dst addr>\n", argv[0]);
        return 1;
    }

    src = simple_strtol(argv[1], NULL, 16);
    dst = simple_strtol(argv[2], NULL, 16);

    printf("Decompressing kernel...\n");

    return lzma_decode(src_addr, dst_addr, src_len, &dst_len);
}

U_BOOT_CMD(
	lzmadecode,	3,		1,	do_lzma_decode,
 	"lzmadecode - decode LZMA kernel image\n",
	NULL
);
#endif
